/*
    Copyright (C) 2004 Nikolas Zimmermann <wildfox@kde.org>
				  2004 Rob Buis <buis@kde.org>
 
    This file is part of the KDE project
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include <kdebug.h>
#include <kapplication.h>

#include "Worker.moc"

using namespace KSVG;

Worker::Worker(KDOM::Parser *parser) : QObject(), m_parser(parser)
{}

Worker::~Worker()
{
  delete m_parser;
}

void Worker::slotParsingFinished(bool error, const QString &errordesc)
{
  if(!error)
  {
    // DOM Output
    if(m_parser->document() != KDOM::Document::null)
    {
      kdDebug() << "DOM Tree:\n";
      QTextOStream out(stdout);
      KDOM::Helper::PrintNode(out, m_parser->document());
    }
  }
  else
    kdDebug() << errordesc.string() << endl;

  deleteLater();
  kapp->quit();
}
